---
title: ServiceWorkerContainer.controller
slug: Web/API/ServiceWorkerContainer/controller
tags:
  - API
  - Controller
  - Property
  - Reference
  - Service Workers
  - Service worker API
  - ServiceWorker
  - ServiceWorkerController
---
<div>{{APIRef("Service Workers API")}}</div>

<p><span class="seoSummary">The <strong><code>controller</code></strong> read-only property of the {{domxref("ServiceWorkerContainer")}} interface returns a {{domxref("ServiceWorker")}} object if its state is <code>activating</code> or <code>activated</code> (the same object returned by {{domxref("ServiceWorkerRegistration.active")}}). This property returns <code>null</code> if the request is a force refresh (<em>Shift</em> + refresh) or if there is no active worker.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>myController</em> = navigator.serviceWorker.controller;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("ServiceWorker")}} object.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate">if ('serviceWorker' in navigator) {
  // Do a one-off check to see if a service worker's in control.
  if (navigator.serviceWorker.controller) {
    console.log(`This page is currently controlled by: ${navigator.serviceWorker.controller}`);
  } else {
    console.log('This page is not currently controlled by a service worker.');
  }
} else {
  console.log('Service workers are not supported.');
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Service Workers', '#navigator-service-worker-controller', 'ServiceWorkerRegistration.controller')}}</td>
   <td>{{Spec2('Service Workers')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.ServiceWorkerContainer.controller")}}</p>
</div>
